| Qore Programming Language Reference Manual 0.9.10

Public Member Functions | List of all members
astparser::AstTree Class Reference

AstTree class. More...

## Public Member Functions
| constructor ()
| Creates the AstTree.
list | getNodesInfo ()
| Get info about nodes in the tree. More...
| printTree (string file)
| Print tree. More...

## Detailed Description

AstTree class.

AST tree structure.

Since
  Qore 0.8.13

## Member Function Documentation

## ◆ getNodesInfo()

list astparser::AstTree::getNodesInfo | ( |  | ) |

Get info about nodes in the tree.

Export the tree structure to Qore hashes and lists.

Returns
  list of node info hashes

## ◆ printTree()

astparser::AstTree::printTree | ( | string | file | ) |

Print tree.

Parameters

  file | name of file where to print out the tree